## file_operation

### Use

You delete part of the content of database files or complete database files.

If you use the command with files for which it is not valid, you receive the error
-24996 ERR_PARAM - wrong parameters.

See also:

Glossary, Database file

### Prerequisites

● You have the server authorization DBFileRead.

● You have determined the file ID of the file to be processed (see file_getfirst).

### Syntax

file_operation <file_ID> <action>

<action> :: = <delete_action> | <shrink_action>

<delete_action>:: = OP=DELETE [DATE=<yyyymmddhhmmss>]

<shrink_action>:: = OP=SHRINK <option>

<option> :: = DATE=<yyyymmddhhmmss> | LINE=<n>

Options

Option | Description
<file_ID> | Log file(s) of the database instance
OP=DELETE [DATE=<yyyymmddhhmmss>] | The file(s) is/are deleted. You can use the DATE=<yyyymmddhhmmss> option to specify that only those files that have not been changed since the specified date are to be deleted.
OP=SHRINK <option> | Part of the content of the file is deleted. You can use options to limit which parts are to be deleted: If you use the DATE=<yyyymmddhhmmss> option, then all lines are deleted that were written before the specified time. If you specify the LINE=<n> option, the content of the file is reduced to <n> lines. The <n> lines that were written most recently are retained.

### Reply

OK

In the event of errors, see Reply Format